Merge "Update cloud image Ubuntu18.04 mininet ovs"
[releng/builder.git] / jjb / opendaylight-infra-update-image-list.sh
index 1122dbd609e4dc9c78ad7ac799e39e4aa4adaf45..c7229278578f38739e5a39e3e6723a7323de9fbd 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -l
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
 # Copyright (c) 2017 The Linux Foundation and others.
@@ -9,15 +9,15 @@
 # http://www.eclipse.org/legal/epl-v10.html
 ##############################################################################
 
-virtualenv "/tmp/v/openstack"
-# shellcheck source=/tmp/v/openstack/bin/activate disable=SC1091
-source "/tmp/v/openstack/bin/activate"
-pip install --upgrade --quiet "pip<10.0.0" setuptools
-pip install --upgrade --quiet python-openstackclient
-pip freeze
+set -e -o pipefail
+
+# shellcheck disable=SC1090
+. ~/lf-env.sh
+
+lf-activate-venv --python python3 python-openstackclient
 
 cat > "$WORKSPACE/docs/cloud-images.rst" << EOF
-Following are the list of published images available to be used with Jenkins jobs.
+Following are the list of published images available to Jenkins jobs.
 
 EOF
 # Blank line before EOF is on purpose to ensure there is spacing.